package com.gree.mall.manager.bean.material.base;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.material.NormTypeEnum;
import com.gree.mall.manager.enums.material.StateEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WebsitGoodsPVO {

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "配件编码")
    private String goodsCode;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "规格型号")
    private String goodsSpecification;

    @ApiModelProperty(value = "单位")
    private String goodsStockUnit;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "图片")
    private String goodsImage;

    @ApiModelProperty(value = "状态")
    private StateEnum status;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "品牌名称")
    private String brandRelaName;

    @ApiModelProperty(value = "产品名称")
    private String productRelaName;

    @ApiModelProperty(value = "收费类型")
    private NormTypeEnum normType;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "采购价格")
    private BigDecimal cost;

    @ApiModelProperty(value = "销售价格")
    private BigDecimal marketPrice;

    @ApiModelProperty(value = "收费标准")
    private BigDecimal normAmount;

//    @ApiModelProperty(value = "自有库存师傅分账金额(师傅分账比例)")
//    private BigDecimal selfWorkerAmount;
//
//    @ApiModelProperty(value = "自有库存商户分账金额(商户分账比例)")
//    private BigDecimal selfWebsitAmount;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

//    @ZfireField(tbName = "b", colName = "b.brand_name")
//    @ApiModelProperty(value = "适用品牌")
//    private String brandName;
//
//    @ZfireField(tbName = "c", colName = "c.category_name")
//    @ApiModelProperty(value = "适用产品大类")
//    private String categoryName;

    @ZfireField(ignoreSelect = true, hide = true)
    @ApiModelProperty(value = "库存数量")
    private BigDecimal stockQty;
}
