package com.gree.mall.manager.bean.material.manage;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.IsYesNoEnum;
import com.gree.mall.manager.enums.material.MaterialFlagEnum;
import com.gree.mall.manager.enums.material.WebsitGoodsTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@ApiModel
@Data
@ZfireField(tbName = "a")
public class WebsitPurchaseOrderVO {
    @ApiModelProperty(value = "单号")
    private String purchaseId;

    @ApiModelProperty(value = "商户名称")
    private String companyWechatName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "网点名称")
    private String websitName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "商品类型")
    private WebsitGoodsTypeEnum goodsType;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "供应商编号")
    private String venderId;

    @ApiModelProperty(value = "供应商名称")
    private String venderName;

    @ApiModelProperty(value = "采购总金额")
    private String totalAmount;

    @ApiModelProperty(value = "单据状态")
    private MaterialFlagEnum flag;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "是否核实")
    private IsYesNoEnum isRecheck;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "核实备注")
    private String checkRemark;

    @ApiModelProperty(value = "审核备注")
    private String confirmRemark;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新人")
    private String updateBy;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "核实人")
    private String checkBy;

    @ApiModelProperty(value = "核实时间")
    private Date checkTime;

    @ApiModelProperty(value = "审核人")
    private String confirmBy;

    @ApiModelProperty(value = "审核时间")
    private Date confirmTime;
}
